<?php
function to_get_dict($dict_file) {
	$get = false;
	$options = get_option('WAT_options');
	if( count($options['share_history']) > 0 ) {
		if( function_exists('curl_init') ) {
			$in_gz = function_exists('gzinflate');
			$fields = array(
				'action' => 'getdict',
				'in_gz' => intval($in_gz)
			);
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL, WAT_API_HOST . 'get_api.php');
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10);
			curl_setopt($ch, CURLOPT_COOKIE, '');
			curl_setopt($ch, CURLOPT_TIMEOUT, 15);
			curl_setopt($ch, CURLOPT_POST, true);
			curl_setopt($ch, CURLOPT_POSTFIELDS, $fields);
			$dict = @curl_exec($ch);
			$info = @curl_getinfo($ch);
			@curl_close($ch);
			if( $in_gz ) {
				$dict = gzinflate($dict);
			}
			if( file_put_contents($dict_file, $dict) ) {
				$get = true;
				$options['last_get_dict_time'] = current_time('timestamp');
				update_option('WAT_options', $options);
			}
		}
	}
	return $get;
}
?>